// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | info@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Custom button to be used throughout the QML application
import QtQuick 2.0
import QtQuick.Controls 1.3
import QtQuick.Window 2.2
import QtQuick.Dialogs 1.2
import QtQuick.Layouts 1.1
import QtQuick.Controls.Styles 1.4

Button {

    id: controlButton
    property string platformText
    text: ((Qt.platform.os == 'ios') || (Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone')) ? qsTr("") : platformText

    Text {
        anchors.centerIn: controlButton
        id: controlButtonText
        text: ((Qt.platform.os == 'ios') || (Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone')) ? platformText : qsTr("")
        font.pointSize: controlButtonText.font.pointSize + 6
        visible: ((Qt.platform.os == 'ios') || (Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone')) ? true : false
        color: 'black'
    }

    Binding on implicitHeight {
        when: ((Qt.platform.os == 'ios') || (Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone'))
        value: controlButtonText.height * 1.95
    }
    Binding on implicitWidth {
        when: ((Qt.platform.os == 'ios') || (Qt.platform.os == 'winrt') || (Qt.platform.os == 'winphone'))
        value: controlButtonText.height * 2.78
    }
}
