// bytran -|- spectral calculations for portable devices using the HITRAN database
//
// Developed by Dzianis Pliutau (Denis Plutov) and Kostya Roslyakov
// www.bytran.org | info@bytran.org
// Copyright (c) 2016 Dzianis Pliutau
// Distributed under the MIT license
//
// The MIT License (MIT)
// Copyright (c) 2016 Dzianis Pliutau
//
// Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy,
// modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
// is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
// LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR
// IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.



// Object to interface the QML About component with the core module
#include "aboutdataobject.h"
#include <QNetworkRequest>
#include <QNetworkReply>
#include <QByteArray>
#include <QMessageBox>
#include <QDesktopServices>

AboutDataObject::AboutDataObject(QObject *parent, BytranCore *inCore) : QObject(parent)
{
    // Passing a reference to an internal variable
    core = inCore;
}

// Link to send the user to the bytran website for a possible donation
void AboutDataObject::donateThroughPayPal()
{
    // There is a problem opening an external web browser under windows phone, other platforms seem to work OK, probably has to do with permissions or something
    // http://stackoverflow.com/questions/12703698/open-links-in-external-browser-in-webview-winrt
    // If can't fix quickly, then hide this under windows phone for now

    QString link = "http://www.bytran.org";
    bool result = QDesktopServices::openUrl(QUrl(link, QUrl::TolerantMode));
}

// Link to send an email
void AboutDataObject::email()
{
    QDesktopServices::openUrl(QUrl("mailto:info@bytran.org?subject=&body=&attach=" + core->getResultsSaver()->getTextFilePath(), QUrl::TolerantMode));
}

// Displaying the terms of the MIT license and additional information about the program
void AboutDataObject::mitLicense()
{
    QString link = "https://opensource.org/licenses/MIT";
    QDesktopServices::openUrl(QUrl(link, QUrl::TolerantMode));
}

// This is not currently used but would send the user to the bytran website
void AboutDataObject::bytranWebsite()
{
    QString link = "http://www.bytran.org";
    QDesktopServices::openUrl(QUrl(link));
}
